Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.dd
Class DragDrop

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.dd.DragDrop

Direct Known Subclasses:
  DD, DDTarget

    public class DragDrop

extends JsObject

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`DragDrop(Component component)`
`DragDrop(Component component, java.lang.String sGroup)`
`DragDrop(Component component, java.lang.String sGroup, DragDropConfig config)`
`DragDrop(com.google.gwt.user.client.Element element, java.lang.String sGroup, DragDropConfig config)`
`DragDrop(com.google.gwt.core.client.JavaScriptObject jsObj)`
`DragDrop(java.lang.String id)`
`DragDrop(java.lang.String id, java.lang.String sGroup)`
`DragDrop(java.lang.String id, java.lang.String sGroup, DragDropConfig config)`

Method Summary
`void` | `addInvalidHandleClass(java.lang.String cssClass)`
`void` | `addInvalidHandleId(java.lang.String id)`
`void` | `addInvalidHandleType(java.lang.String tagName)`
`void` | `addToGroup(java.lang.String sGroup)`
`void` | `applyConfig()`
`void` | `clearConstraints()`
`void` | `clearTicks()`
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.user.client.Element element, java.lang.String sGroup, com.google.gwt.core.client.JavaScriptObject config)`
`protected com.google.gwt.core.client.JavaScriptObject` | `create(java.lang.String id, java.lang.String sGroup, com.google.gwt.core.client.JavaScriptObject config)`
`void` | `endDrag(EventObject e)`
`com.google.gwt.user.client.Element` | `getDragEl()`
`com.google.gwt.user.client.Element` | `getEl()`
`java.lang.String[]` | `getGroups()`
`java.lang.String` | `getId()`
`java.lang.String[]` | `getInvalidHandleClasses()`
`java.lang.String` | `getInvalidHandleTypes()`
`Paddings` | `getPadding()`
`int[]` | `getXTicks()`
`int[]` | `getYTicks()`
`boolean` | `hasOuterHandles()`
`void` | `init(java.lang.String id, java.lang.String sGroup, DragDropConfig config)`
`void` | `initTarget(java.lang.String id, java.lang.String sGroup, DragDropConfig config)`
`boolean` | `isAvailable()`
`boolean` | `isLocked()`
`boolean` | `isMaintainOffset()`
`boolean` | `isPrimaryButtonOnly()`
`boolean` | `isTarget()`
`boolean` | `isValidHandleChild(com.google.gwt.user.client.Element element)`
`void` | `lock()`
`void` | `onAvailable()`
`void` | `onDrag(EventObject e)`
`void` | `onDragDrop(EventObject e, DragDrop[] items)`
`void` | `onDragDrop(EventObject e, java.lang.String id)`
`void` | `onDragEnter(EventObject e, DragDrop[] items)`
`void` | `onDragEnter(EventObject e, java.lang.String id)`
`void` | `onDragOut(EventObject e, DragDrop[] items)`
`void` | `onDragOut(EventObject e, java.lang.String id)`
`void` | `onDragOver(EventObject e, DragDrop[] items)`
`void` | `onDragOver(EventObject e, java.lang.String id)`
`void` | `onInvalidDrop(EventObject e)`
`void` | `onMouseDown(EventObject e)`
`void` | `onMouseUp(EventObject e)`
`void` | `removeFromGroup(java.lang.String sGroup)`
`void` | `removeInvalidHandleClass(java.lang.String cssClass)`
`void` | `removeInvalidHandleId(java.lang.String id)`
`void` | `removeInvalidHandleType(java.lang.String tagName)`
`void` | `resetConstraints(boolean maintainOffset)`
`void` | `setDragElId(java.lang.String id)`
`void` | `setHandleElId(java.lang.String id)`
`void` | `setOuterHandleElId(java.lang.String id)`
`void` | `setPadding(int iUp, int iDown, int iBottom, int iLeft)`
`void` | `setXConstraint(int iLeft, int iRight, int iTickSize)`
`void` | `setYConstraint(int iUp, int iDown, int iTickSize)`
`void` | `startDrag(int x, int y)`
`java.lang.String` | `toString()`
`void` | `unlock()`
`void` | `unreg()`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DragDrop

    public DragDrop(com.google.gwt.core.client.JavaScriptObject jsObj)

### DragDrop

    public DragDrop(java.lang.String id)

### DragDrop

    public DragDrop(Component component)

### DragDrop

    public DragDrop(java.lang.String id,
                    java.lang.String sGroup)

### DragDrop

    public DragDrop(Component component,
                    java.lang.String sGroup)

### DragDrop

    public DragDrop(java.lang.String id,
                    java.lang.String sGroup,
                    DragDropConfig config)

### DragDrop

    public DragDrop(com.google.gwt.user.client.Element element,
                    java.lang.String sGroup,
                    DragDropConfig config)

### DragDrop

    public DragDrop(Component component,
                    java.lang.String sGroup,
                    DragDropConfig config)

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(java.lang.String id,
                                                                 java.lang.String sGroup,
                                                                 com.google.gwt.core.client.JavaScriptObject config)

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.user.client.Element element,
                                                                 java.lang.String sGroup,
                                                                 com.google.gwt.core.client.JavaScriptObject config)

### isAvailable

    public boolean isAvailable()

### getGroups

    public java.lang.String[] getGroups()

### hasOuterHandles

    public boolean hasOuterHandles()

### getId

    public java.lang.String getId()

### getInvalidHandleClasses

    public java.lang.String[] getInvalidHandleClasses()

### getInvalidHandleTypes

    public java.lang.String getInvalidHandleTypes()

### isMaintainOffset

    public boolean isMaintainOffset()

### isPrimaryButtonOnly

    public boolean isPrimaryButtonOnly()

### getXTicks

    public int[] getXTicks()

### getYTicks

    public int[] getYTicks()

### addInvalidHandleClass

    public void addInvalidHandleClass(java.lang.String cssClass)

### addInvalidHandleId

    public void addInvalidHandleId(java.lang.String id)

### addInvalidHandleType

    public void addInvalidHandleType(java.lang.String tagName)

### addToGroup

    public void addToGroup(java.lang.String sGroup)

### applyConfig

    public void applyConfig()

### clearConstraints

    public void clearConstraints()

### clearTicks

    public void clearTicks()

### endDrag

    public void endDrag(EventObject e)

### getDragEl

    public com.google.gwt.user.client.Element getDragEl()

### getEl

    public com.google.gwt.user.client.Element getEl()

### init

    public void init(java.lang.String id,
                     java.lang.String sGroup,
                     DragDropConfig config)

### initTarget

    public void initTarget(java.lang.String id,
                           java.lang.String sGroup,
                           DragDropConfig config)

### isLocked

    public boolean isLocked()

### isTarget

    public boolean isTarget()

### isValidHandleChild

    public boolean isValidHandleChild(com.google.gwt.user.client.Element element)

### lock

    public void lock()

### onAvailable

    public void onAvailable()

### onDrag

    public void onDrag(EventObject e)

### onDragDrop

    public void onDragDrop(EventObject e,
                           java.lang.String id)

### onDragDrop

    public void onDragDrop(EventObject e,
                           DragDrop[] items)

### onDragEnter

    public void onDragEnter(EventObject e,
                            java.lang.String id)

### onDragEnter

    public void onDragEnter(EventObject e,
                            DragDrop[] items)

### onDragOut

    public void onDragOut(EventObject e,
                          java.lang.String id)

### onDragOut

    public void onDragOut(EventObject e,
                          DragDrop[] items)

### onDragOver

    public void onDragOver(EventObject e,
                           java.lang.String id)

### onDragOver

    public void onDragOver(EventObject e,
                           DragDrop[] items)

### onInvalidDrop

    public void onInvalidDrop(EventObject e)

### onMouseDown

    public void onMouseDown(EventObject e)

### onMouseUp

    public void onMouseUp(EventObject e)

### getPadding

    public Paddings getPadding()

### removeFromGroup

    public void removeFromGroup(java.lang.String sGroup)

### removeInvalidHandleClass

    public void removeInvalidHandleClass(java.lang.String cssClass)

### removeInvalidHandleId

    public void removeInvalidHandleId(java.lang.String id)

### removeInvalidHandleType

    public void removeInvalidHandleType(java.lang.String tagName)

### resetConstraints

    public void resetConstraints(boolean maintainOffset)

### setDragElId

    public void setDragElId(java.lang.String id)

### setHandleElId

    public void setHandleElId(java.lang.String id)

### setOuterHandleElId

    public void setOuterHandleElId(java.lang.String id)

### setPadding

    public void setPadding(int iUp,
                           int iDown,
                           int iBottom,
                           int iLeft)

### setXConstraint

    public void setXConstraint(int iLeft,
                               int iRight,
                               int iTickSize)

### setYConstraint

    public void setYConstraint(int iUp,
                               int iDown,
                               int iTickSize)

### startDrag

    public void startDrag(int x,
                          int y)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### unlock

    public void unlock()

### unreg

    public void unreg()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD